Loading...
Searching...
No Matches
hierarchy.hh File Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Provides a classes representing the hierarchies in AMG. More...

`#include <list>`
`#include <memory>`
`#include <limits>`
`#include <dune/common/stdstreams.hh>`
`#include <dune/common/timer.hh>`
`#include <dune/common/bigunsignedint.hh>`
`#include <dune/istl/paamg/construction.hh>`

Go to the source code of this file.

## Classes

class | Dune::Amg::Hierarchy< T, A >
| A hierarchy of containers (e.g. matrices or vectors). More...
class | Dune::Amg::Hierarchy< T, A >::LevelIterator< C, T1 >
| Iterator over the levels in the hierarchy. More...

## Namespaces

namespace | Dune
namespace | Dune::Amg

## Detailed Description

Provides a classes representing the hierarchies in AMG.

Author
  Markus Blatt